Class | Nokogiri::CSS::Tokenizer
In: | lib/nokogiri/css/tokenizer.rb
Parent: | Object

### Methods

_next_token action load_file next_token scan scan_file scan_setup scan_str

### Classes and Modules

Class Nokogiri::CSS::Tokenizer::ScanError

### Attributes

filename | [R] |
lineno | [R] |
state | [RW] |

### Public Instance methods

_next_token()
action() {|| ...}
load_file( filename )
next_token()
scan(str)

Alias for scan_str

scan_file( filename )
scan_setup(str)
scan_str(str)

[Validate]